Print Friendly

# Class Ext.util.TextMetrics

Package: | Ext.util
Class: | TextMetrics
Extends: | Object
Defined In: | TextMetrics.js

Provides precise pixel measurements for blocks of text so that you can determine exactly how high and wide, in pixels, a given block of text will be.
This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| bind(`String/HTMLElement el`) : void | TextMetrics
Binds this TextMetrics instance to an element from which to copy existing CSS styles that can affect the size of the ...
| createInstance(`String/HTMLElement el`, [`Number fixedWidth`]) : Ext.util.TextMetrics.Instance | TextMetrics
Return a unique TextMetrics instance that can be bound directly to an element and reused. This reduces the overhead ...
| getHeight(`String text`) : Number | TextMetrics
Returns the measured height of the specified text. For multiline text, be sure to call setFixedWidth if necessary.
| getSize(`String text`) : Object | TextMetrics
Returns the size of the specified text based on the internal element's style and width properties
| getWidth(`String text`) : Number | TextMetrics
Returns the measured width of the specified text
| measure(`String/HTMLElement el`, `String text`, [`Number fixedWidth`]) : Object | TextMetrics
Measures the size of the specified text
| setFixedWidth(`Number width`) : void | TextMetrics
Sets a fixed width on the internal measurement element. If the text will be multiline, you have to set a fixed width...

## Public Events

This class has no public events.

## Method Details

### bind

`public function bind(`String/HTMLElement el`)`
Binds this TextMetrics instance to an element from which to copy existing CSS styles that can affect the size of the rendered text
Parameters:

- `el` : String/HTMLElement
  The element, dom node or id

Returns:

- `void`

This method is defined by TextMetrics.

### createInstance

`public function createInstance(`String/HTMLElement el`, [`Number fixedWidth`])`
Return a unique TextMetrics instance that can be bound directly to an element and reused. This reduces the overhead of multiple calls to initialize the style properties on each measurement.
Parameters:

- `el` : String/HTMLElement
  The element, dom node or id that the instance will be bound to
- `fixedWidth` : Number
  (optional) If the text will be multiline, you have to set a fixed width in order to accurately measure the text height

Returns:

- `Ext.util.TextMetrics.Instance`
  instance The new instance

This method is defined by TextMetrics.

### getHeight

`public function getHeight(`String text`)`
Returns the measured height of the specified text. For multiline text, be sure to call setFixedWidth if necessary.
Parameters:

- `text` : String
  The text to measure

Returns:

- `Number`
  height The height in pixels

This method is defined by TextMetrics.

### getSize

`public function getSize(`String text`)`
Returns the size of the specified text based on the internal element's style and width properties
Parameters:

- `text` : String
  The text to measure

Returns:

- `Object`
  An object containing the text's size {width: (width), height: (height)}

This method is defined by TextMetrics.

### getWidth

`public function getWidth(`String text`)`
Returns the measured width of the specified text
Parameters:

- `text` : String
  The text to measure

Returns:

- `Number`
  width The width in pixels

This method is defined by TextMetrics.

### measure

`public function measure(`String/HTMLElement el`, `String text`, [`Number fixedWidth`])`
Measures the size of the specified text
Parameters:

- `el` : String/HTMLElement
  The element, dom node or id from which to copy existing CSS styles that can affect the size of the rendered text
- `text` : String
  The text to measure
- `fixedWidth` : Number
  (optional) If the text will be multiline, you have to set a fixed width in order to accurately measure the text height

Returns:

- `Object`
  An object containing the text's size {width: (width), height: (height)}

This method is defined by TextMetrics.

### setFixedWidth

`public function setFixedWidth(`Number width`)`
Sets a fixed width on the internal measurement element. If the text will be multiline, you have to set a fixed width in order to accurately measure the text height.
Parameters:

- `width` : Number
  The width to set on the element

Returns:

- `void`

This method is defined by TextMetrics.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.